import { Exception } from "./fable_modules/fable-library-js.4.26.0/Types.js";
import { class_type } from "./fable_modules/fable-library-js.4.26.0/Reflection.js";

export class SemanticReleaseError extends Exception {
    constructor(message, code, details) {
        super(message);
        this["message@3"] = message;
        this["code@3"] = code;
        this["details@3"] = details;
    }
    get message() {
        const _ = this;
        return _["message@3"];
    }
    set message(_arg) {
    }
    get name() {
        return "SemanticReleaseError";
    }
    set name(_arg) {
    }
    get stack() {
        return "N/A FABLE JS";
    }
    set stack(_arg) {
    }
}

export function SemanticReleaseError_$reflection() {
    return class_type("SemanticReleaseCargo.Errors.SemanticReleaseError", undefined, SemanticReleaseError, class_type("System.Exception"));
}

export function SemanticReleaseError_$ctor_Z2FC25A28(message, code, details) {
    return new SemanticReleaseError(message, code, details);
}

export function SemanticReleaseError__get_code(_) {
    return _["code@3"];
}

export function SemanticReleaseError__get_details(_) {
    return _["details@3"];
}

export function SemanticReleaseError__get_semanticRelease(_) {
    return true;
}

